Name:           tkinfo
Url:            http://math-www.uni-paderborn.de/~axel/tkinfo/
License:        Public Domain, Freeware
Group:          Productivity/Publishing/Texinfo
Version:        2.8
Release:        1
Summary:        Viewer for info-files
Source0:        %{name}-%{version}.tar.bz2
Patch0:         %{name}-alias.patch
Patch1:         %{name}-%{version}-aix.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:	patch
Requires:	tk

%description
TkInfo is a tk script to read GNU "info" files and display them. TkInfo
can be used stand-alone (via WISH) or embedded within an application to
provide integrated, online help.


%prep
%setup -q
%patch0
%patch1


%build
# nothing to do here


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp %{name} ${RPM_BUILD_ROOT}%{_bindir}/
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/%{name}

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
cp %{name}.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man1/*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc README
%{_bindir}/%{name}
%{_mandir}/man?/*
/usr/bin/%{name}


%changelog
* Tue Aug 09 2011 Michael Perzl <michael@perzl.org> - 2.8-1
- first version for AIX V5.1 and higher
